Bug 7999 - [UPDATE REQUEST 2016.1] mpd 0.20.2 -> 0.20.10
: [UPDATE REQUEST 2016.1] mpd 0.20.2 -> 0.20.10
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-02 16:08 MSD by Giovanni Mariani
Modified: 2017-11-21 23:12 MSK (History)
2 users (show)

See Also:
RPM Package: mpd-0.20.2-1plf.src.rpm
ISO-related:
Bad POT generating:
Upstream:
mc2374: qa_verified?


Attachments
scr1 (213.40 KB, image/png)
2017-11-20 18:04 MSK, s.savelyeva
Details
scr2 (237.35 KB, image/png)
2017-11-20 18:06 MSK, s.savelyeva
Details
scr3 (211.53 KB, image/png)
2017-11-20 18:07 MSK, s.savelyeva
Details
scr4 (267.39 KB, image/png)
2017-11-20 18:08 MSK, s.savelyeva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Giovanni Mariani 2017-06-02 16:08:54 MSD
New release 0.20.8 for mpd.

Changes from our 0.20.2 package:
* database
  - simple: fix false positive directory loop detection with NFS
  - proxy: fix error "terminate called after throwing ..."
  - proxy: make connect errors during startup non-fatal
* decoder
  - ffmpeg: re-enable as fallback
  - mpcdec: fix crash (division by zero) after seeking
  - sidplay: make compatible with libsidplayfp < 1.8
  - sidplay: don't require libsidutils when building with libsidplayfp
* input
  - curl: fix headers after HTTP redirect to Shoutcast server
  - nfs: fix freeze after reconnect
* mixer
  - alsa: fix crash bug
* neighbor
  - upnp: fix premature expiry
* output
  - osx: fix build failure due to missing "noexcept"
  - httpd: fix two buffer overflows in IcyMetaData length calculation
  - sndio: work around a libroar C++ incompatibility
* playlist
  - m3u: support MIME type `audio/mpegurl`
* protocol
  - "playlistadd" creates new playlist if it does not exist, as documented
* tags
  - id3: fix memory leak on corrupt ID3 tags
* various
  - replay gain: don't reset ReplayGain levels when unpausing playback
  - silence surround channels when converting from stereo
  - use shortcuts such as "dsd64" in log messages
  - cap buffer_before_play at 80% to prevent deadlock
  - enforce a reasonable minimum audio_buffer_size setting
  - fix stream tags after automatic song change
* build fixes
  - fix build failure with GCC 4.x
  - fix random crashes when compiled with clang
  - workaround for GCC 4.9.4 / libstdc++ bug (build failure)
  - workaround for GCC 4.9 "constexpr" bug
  - fix FreeBSD build failure
Comment 1 Giovanni Mariani 2017-06-02 16:11:14 MSD
Advisory:
Update mpd to release 0.20.8.

Packages for Rosa 2016.1 / Main:
https://abf.rosalinux.ru/build_lists/2877776
https://abf.rosalinux.ru/build_lists/2877777

Packages for Rosa 2016.1 / Restricted:
https://abf.rosalinux.ru/build_lists/2877782
https://abf.rosalinux.ru/build_lists/2877783
Comment 2 Giovanni Mariani 2017-08-16 14:23:08 MSD
The "normal" package is now in Contrib, but the "restricted" one still need QA and approvation. In the meantime there is a new 0.20.9 release: so drop the older request and added a new one, and updated summary accordingly...
Comment 3 Giovanni Mariani 2017-08-16 14:24:28 MSD
Advisory:
Update mpd in Restricted to release 0.20.9.

Packages for Rosa 2016.1 / Restricted:
https://abf.rosalinux.ru/build_lists/2887124
https://abf.rosalinux.ru/build_lists/2887125
Comment 4 Giovanni Mariani 2017-09-02 15:52:43 MSD
Advisory:
Update mpd to release 0.20.10.

Packages for Rosa 2016.1 / Restricted:
https://abf.rosalinux.ru/build_lists/2889496
https://abf.rosalinux.ru/build_lists/2889497
Comment 5 Vladimir Potapov 2017-10-30 19:28:54 MSK
Please, rebuild containers!
Comment 6 Giovanni Mariani 2017-10-30 20:02:34 MSK
(In reply to comment #5)
> Please, rebuild containers!

Done:
https://abf.rosalinux.ru/build_lists/2906968
https://abf.rosalinux.ru/build_lists/2906969

What is the time limit for containers?
I have some old QA requests pending: perhaps they too need rebuilding...
Comment 7 Vladimir Potapov 2017-11-09 19:00:11 MSK
(In reply to comment #6)

> What is the time limit for containers?
> I have some old QA requests pending: perhaps they too need rebuilding...
30 days...
Comment 8 Vladimir Potapov 2017-11-10 09:09:14 MSK
(In reply to comment #6)
> (In reply to comment #5)
> > Please, rebuild containers!
> 
> Done:
> https://abf.rosalinux.ru/build_lists/2906968
> https://abf.rosalinux.ru/build_lists/2906969
> 
> What is the time limit for containers?
> I have some old QA requests pending: perhaps they too need rebuilding...

Install error
устанавливается lib64upnp6-1.6.22-1-rosa2016.1.x86_64.rpm mpd-0.20.10-1plf-plf2016.1.x86_64.rpm из /var/cache/urpmi/rpms
Подготовка...                    #############################################
     9/10: lib64upnp6            #############################################
    10/10: mpd                   #############################################
touch: невозможно выполнить touch для «/var/log/mpd/mpd.log»: Нет такого файла или каталога
chown: невозможно получить доступ к «/var/log/mpd/mpd.log»: Нет такого файла или каталога
chmod: невозможно получить доступ к «/var/log/mpd/mpd.log»: Нет такого файла или каталога
touch: невозможно выполнить touch для «/var/log/mpd/mpd.error»: Нет такого файла или каталога
chown: невозможно получить доступ к «/var/log/mpd/mpd.error»: Нет такого файла или каталога
chmod: невозможно получить доступ к «/var/log/mpd/mpd.error»: Нет такого файла или каталога

may be need create /val/log/mpd ?
Comment 9 Giovanni Mariani 2017-11-16 19:43:01 MSK
(In reply to comment #8)
> (In reply to comment #6)
> > (In reply to comment #5)
> > > Please, rebuild containers!
> > 
> > Done:
> > https://abf.rosalinux.ru/build_lists/2906968
> > https://abf.rosalinux.ru/build_lists/2906969
> > 
> > What is the time limit for containers?
> > I have some old QA requests pending: perhaps they too need rebuilding...
> 
> Install error
> устанавливается lib64upnp6-1.6.22-1-rosa2016.1.x86_64.rpm
> mpd-0.20.10-1plf-plf2016.1.x86_64.rpm из /var/cache/urpmi/rpms
> Подготовка...                   
> #############################################
>      9/10: lib64upnp6           
> #############################################
>     10/10: mpd                  
> #############################################
> touch: невозможно выполнить touch для «/var/log/mpd/mpd.log»: Нет такого
> файла или каталога
> chown: невозможно получить доступ к «/var/log/mpd/mpd.log»: Нет такого файла
> или каталога
> chmod: невозможно получить доступ к «/var/log/mpd/mpd.log»: Нет такого файла
> или каталога
> touch: невозможно выполнить touch для «/var/log/mpd/mpd.error»: Нет такого
> файла или каталога
> chown: невозможно получить доступ к «/var/log/mpd/mpd.error»: Нет такого
> файла или каталога
> chmod: невозможно получить доступ к «/var/log/mpd/mpd.error»: Нет такого
> файла или каталога
> 
> may be need create /val/log/mpd ?
Cannot read Cyrillic or understand Russian... Sorry.
I did not saw the failure before because it happens only when there is not a previous mpd release installed (ie on a first install, non in an upgrade), and I already had mpd on-disk...

However the error is generated in this snippet in %post:
*********************************************
%create_ghostfile %{_localstatedir}/log/%{name}/%{name}.log mpd audio 644
%create_ghostfile %{_localstatedir}/log/%{name}/%{name}.error mpd audio 644
**********************************************

Indeed /var/log/mpd looks like missing on disk, even if the package lists it
as present:
*****************
urpmq -l ./mpd-0.20.10-1plf-plf2016.1.x86_64.rpm
/etc/logrotate.d/mpd
/etc/mpd.conf
/lib/systemd/system/mpd.service
/lib/systemd/system/mpd.socket
/usr/bin/mpd                                                                                                                                                                  
/usr/lib/tmpfiles.d/mpd.conf                                                                                                                                                  
/usr/share/doc/mpd                                                                                                                                                            
/usr/share/doc/mpd/AUTHORS                                                                                                                                                    
/usr/share/doc/mpd/COPYING                                                                                                                                                    
/usr/share/doc/mpd/NEWS                                                                                                                                                       
/usr/share/doc/mpd/mpdconf.example                                                                                                                                            
/usr/share/man/man1/mpd.1.xz                                                                                                                                                  
/usr/share/man/man5/mpd.conf.5.xz
/var/lib/mpd
/var/lib/mpd/mpd.db
/var/lib/mpd/mpdstate
/var/lib/mpd/music
/var/lib/mpd/playlists
/var/log/mpd
/var/log/mpd/mpd.error
/var/log/mpd/mpd.log
/var/run/mpd
*****************
Weird... I really don't know why does this happen.
Moreover I did not touch at all this part of the specfile: abf shows it is the same since the original commit of abondrov in 2014.
Comment 10 Giovanni Mariani 2017-11-16 20:16:43 MSK
Advisory:
Update Update mpd to release 0.20.10 and fixed long standing bug at new installation time (a %ghost directive in excess...).

Packages for Rosa 2016.1 / Restricted:
https://abf.rosalinux.ru/build_lists/2913201
https://abf.rosalinux.ru/build_lists/2913202

This ones solve the issue for me...
Comment 11 s.savelyeva 2017-11-20 18:04:50 MSK
Created attachment 4766 [details]
scr1

scr for i586
Comment 12 s.savelyeva 2017-11-20 18:06:46 MSK
Created attachment 4767 [details]
scr2

scr for i586
Comment 13 s.savelyeva 2017-11-20 18:07:36 MSK
Created attachment 4768 [details]
scr3

scr for x86_64
Comment 14 s.savelyeva 2017-11-20 18:08:24 MSK
Created attachment 4769 [details]
scr4

scr for x86_64
Comment 15 s.savelyeva 2017-11-20 18:09:05 MSK
I couldn't install mpd for i586 (scr1 says that for mpd libmicmod.so.3 needed and 2nd screen says that for mpd libgme.so.0 needed).
And when installed for x86_64 mpd said that database was corrupted, though this database was created by mpd at the moment of its installation by default. 
(watch scr3). And client for mpd couldn't connect to it cause of error with the database. (watch scr4)
Comment 16 Giovanni Mariani 2017-11-20 18:40:32 MSK
(In reply to comment #15)
> I couldn't install mpd for i586 (scr1 says that for mpd libmicmod.so.3
> needed and 2nd screen says that for mpd libgme.so.0 needed).
> And when installed for x86_64 mpd said that database was corrupted, though
> this database was created by mpd at the moment of its installation by
> default. 
> (watch scr3). And client for mpd couldn't connect to it cause of error with
> the database. (watch scr4)

Regarding to issue 1 and 2 (the i586 ones) I think you will need to update your repositories:
libgme0-0.6.0-3-rosa2016.1.i586 and libmikmod3-3.3.10-5-rosa2016.1.i586.rpm
are present and published on abf, otherwise the package would have failed the tests (see: http://file-store.rosalinux.ru/api/v1/file_stores/f7153683e5be556b330c39d731ae9eede51e1450.log?show=true)
I don't know why they don't appear in the official ones... perhaps is the mirror you are using outdated?

About issue 3 (scr3 on x86_64): I also got the message error, but it looks like as harmless, because I can start Cantata (and from it I managed to update the database, making the error msg going away forever).
Perhaps they touched the db format more than what they reported in the changelog.
Are you upgrading or doing a fresh install?

About issue 4: I cannot reproduce it...
By starting Cantata in a konsole I get the "regular" window with the album list on the left side and all WFM...
Comment 17 s.savelyeva 2017-11-21 15:51:48 MSK
Concerning libs: sorry! It was a mistake. When trying the next date installation succeeded (and libs downloaded), but same message with database appears.
Comment 18 Giovanni Mariani 2017-11-21 23:12:39 MSK
(In reply to comment #17)
> Concerning libs: sorry! It was a mistake. When trying the next date
> installation succeeded (and libs downloaded), but same message with database
> appears.
BTW I cannot read Cyrillic, nor understand Russian, so your scr4 cannot tell me what is really happening, except for the error msgbox in English...

1. Upgrade or fresh install of mpd?

2. Open a konsole and launch Cantata from it: does it start?
(on my system, after the mpd upgrade it does, despite the error msg about the mpd database)
Can you select a song and play it? (ditto)

3. If cantata started, in the menu (upper right corner) select Refresh database.
Now restart mpd: the error message is still here or is gone?
(in my system, it was gone)